﻿using System;
using System.Collections.Generic;

namespace OpenHarbor.CQRS.DynamicQuery.Abstractions;

public class DynamicQueryInterceptorProvider<TSource, TDestination> : IDynamicQueryInterceptorProvider<TSource, TDestination>
{
    private readonly Type[] _types;

    public DynamicQueryInterceptorProvider(params Type[] types)
    {
        _types = types;
    }

    public IEnumerable<Type> GetInterceptorsTypes()
    {
        return _types;
    }
}
